<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('crew_users', function (Blueprint $table) {
            $table->id();
            $table->string('full_name');
            $table->string('crew_id');
            $table->string('id_no');
            $table->string('email');
            $table->text('password');
            $table->string('activation_code');
            $table->string('pre_activation_code');
            $table->integer('status');
            $table->integer('update_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('crew_users');
    }
};
