<?php
use Illuminate\Support\Facades\DB;

// print_r($config);
 ?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="fDEohWd4NRhfECgNH07Z1dGkafMH5tz33ri0A174">
        <link rel="icon" href=" " type="image/gif" sizes="16x16">
        <title> Applicant Management </title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{asset('css/app.css')}}">

        <!-- Scripts -->
        <script src="{{asset('js/app.js')}}" defer></script>

        <style type="text/css">
            img {
                height: 100px !important;
            }
            .website-logo {
            text-align: center !important;
            }
            .website-logo img {
            margin: 0 auto;
            margin-bottom: 11px;
            border-radius: ;
            margin-top: 20px;
            }
            .website-logo h4 {
            color: #000;
            font-weight: 700;
            }
        </style>
    </head>
    <body>
    <x-jet-authentication-card>
        <x-slot name="logo">
            <!-- <x-jet-authentication-card-logo /> -->
            <div class="website-logo">
                <img  src="{{ asset('backend/assets/img/logo.jpeg') }}" alt="">
                <h4 class="text-center" style="">AYAR SHIPPING SERVICES</h4>
                <h4 class="text-center" style="">Applicant Login</h4>
            </div>
        </x-slot>

        <x-jet-validation-errors class="mb-4" />

        @if (session('status'))
            <div class="mb-4 font-medium text-sm text-green-600 text-center">
                {{ session('status') }}
            </div>
        @endif
        @if(session('success'))
            <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12">

                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                    {{session('success')}}
                    </div>
                </div>
            </div>
        @endif
        @if(session('fail'))
            <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12">

                    <div class="alert alert-success alert-dismissible fade show" role="alert">
                    {{session('fail')}}
                    </div>
                </div>
            </div>
        @endif

        <form method="POST" action="{{ route('crewLoginConfirm') }}">
            @csrf

            <div>
                <x-jet-label for="email" value="{{ __('Email') }}" />
                <x-jet-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required autofocus />
            </div>
            <div class="mt-4">
                <x-jet-label for="password" value="{{ __('Password') }}" />
                <x-jet-input id="password" class="block mt-1 w-full" type="password" name="password" required autocomplete="current-password" />
            </div>

            <div class="flex items-center justify-end mt-4">


                <x-jet-button class="ml-4">
                    {{ __('Log In') }}
                </x-jet-button>
            </div>
            <div class="flex items-center justify-end mt-4">

                <h4>Haven't an account ? <a href="{{ route('crewRegistration') }}">please Signup</a> </h4>
            </div>
        </form>
    </x-jet-authentication-card>
    </body>
</html>
