<?php $__env->startSection('contents'); ?>
<?php
use Illuminate\Support\Facades\DB;
?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-md-12">

        </div>
        <div class="card mb-4">
            <h5 class="card-header"></h5>
            <!-- Account -->
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="custom-table">
                            <table class="table table-responsive">
                                <tr>
                                    <th colspan="6"><strong><h6>PERSONAL PARTICULARS </h6></strong></th>
                                </tr>
                                <tr>
                                    <td><strong>Last Name:</strong> <br> <?php echo e($crew->last_name); ?> </td>
                                    <td><strong>Given Name (as in passport)</strong> <br> <?php echo e($crew->given_name); ?> </td>
                                    <td colspan="4"><strong>Full Name: </strong> <br> <?php echo e($crew->full_name); ?> </td>
                                </tr>
                                <tr>
                                    <td><strong>Place of Birth </strong> <br> <?php echo e($crew->place_of_birth); ?> </td>
                                    <td><strong>Date of Birth (DD/MM/YYYY)  </strong> <br> <?php echo e($crew->date_of_birth); ?> </td>
                                    <td><strong>Height </strong> <br> <?php echo e($crew->height); ?> </td>
                                    <td><strong>Weight  </strong> <br> <?php echo e($crew->weight); ?> </td>
                                    <td><strong>Boiler Suit  </strong> <br> <?php echo e($crew->boiler_suit); ?> </td>
                                    <td><strong>Safety Shoes.  </strong> <br> <?php echo e($crew->safety_shoes); ?> </td>
                                </tr>
                                <tr>
                                    <td><strong>Marital Status </strong> <br> <?php echo e($crew->marital_status); ?> </td>
                                    <td><strong>Mobile No  </strong> <br> <?php echo e($crew->mobile_no); ?> </td>
                                    <td><strong>Nationality</strong> <br> <?php echo e($crew->nationality); ?> </td>
                                    <td><strong>Blood Type:  </strong> <br>  </td>
                                    <td><strong>HairColor: </strong> <br> <?php echo e($crew->hair_color); ?> </td>
                                    <td><strong>Eyes Color:  </strong> <br> <?php echo e($crew->eyes_color); ?> </td>
                                </tr>
                                <tr>
                                    <td colspan="2"><strong>SID No.</strong> <br> <?php echo e($crew->sid_no); ?> </td>
                                    <td colspan="2"><strong>NID No</strong> <br> <?php echo e($crew->nid_no); ?> </td>
                                    <td><strong>Religion </strong> <br> <?php echo e($crew->religion); ?></td>
                                    <td><strong>Covid Vaccination:  </strong> <br> <?php echo e($crew->covid_vaccination); ?> </td>
                                </tr>
                                <tr>
                                    <td colspan="3"><strong>Address.  </strong> <br> <?php echo e($crew->address); ?> </td>
                                    <td colspan="3"><strong>Email: </strong> <br> <?php echo e($crew->email); ?> </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="custom-table">
                            <table class="table table-responsive">
                                <tr>
                                    <th colspan="6"><strong><h6>Certificate </h6></strong></th>
                                </tr>

                                <tr>
                                    <th><strong>{Qualification}</strong></th>
                                    <th><strong>Cert No.</strong></th>
                                    <th><strong>Issued Date (DD/MM/YYYY) </strong></th>
                                    <th><strong>Expiry Date (DD/MM/YYYY) </strong></th>
                                    <th><strong>Issued By</strong></th>
                                    <th><strong>Sign By</strong></th>
                                </tr>
                                <?php
                                 $certificates = ['general', 'professional', 'medical'];
                                 ?>
                                 <?php $__currentLoopData = $certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <th colspan="6" style="text-align: center"><strong><?php echo e($certificate); ?> </strong></th>
                                    </tr>
                                    <?php
                                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                                    ?>
                                    <?php $__currentLoopData = $certificate_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php //dd($data); ?>
                                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('crew_id', $id)->where('certificate_id', $data->id)->first();
                                        if($crew_certificate){
                                            $id = $crew_certificate->id;
                                            $cert_no = $crew_certificate->cert_no;
                                            $issue_date = $crew_certificate->issue_date;
                                            $expiry_date = $crew_certificate->expiry_date;
                                            $issued_by = $crew_certificate->issued_by;
                                            $sign_off = $crew_certificate->sign_off;
                                            $certificate_file = $crew_certificate->certificate_file;
                                            $certificate_title = '<a href="#" class="" data-bs-toggle="modal" data-bs-target="#fullscreenModal'. $id.'">'.$data->certificate_title.'</a>';

                                        }else{
                                            $cert_no = '';
                                            $issue_date = '';
                                            $expiry_date = '';
                                            $issued_by = '';
                                            $sign_off = '';
                                            $certificate_title = $data->certificate_title;
                                            $certificate_file = '';
                                        }
                                        ?>
                                        <tr>
                                            <td><?php echo $certificate_title; ?></td>
                                            <td><?php echo e($cert_no); ?></td>
                                            <td><?php echo e($issue_date); ?></td>
                                            <td><?php echo e($expiry_date); ?></td>
                                            <td><?php echo e($issued_by); ?></td>
                                            <td><?php echo e($sign_off); ?></td>
                                        </tr>
                                        <?php if(  $id != '' && $certificate_file != ''): ?>
                                        <!-- Modal -->
                                    <div class="modal fade" id="fullscreenModal<?php echo $id; ?>" tabindex="-1" aria-hidden="true">
                                        <div class="modal-dialog modal-xl" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                            <h5 class="modal-title" id="modalFullTitle">Certificate</h5>
                                            <button  type="button" class="btn-close"
                                                data-bs-dismiss="modal"
                                                aria-label="Close"
                                            ></button>
                                            </div>
                                            <div class="modal-body">
                                                <iframe src="<?php echo $certificate_file; ?>" height="100%" width="100%" title="Iframe Example"></iframe>
                                            </div>
                                            <div class="modal-footer">
                                            <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">
                                                Close
                                            </button>
                                            </div>
                                        </div>
                                        </div>
                                    </div>
                                    <?php endif ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



                            </table>
                        </div>
                    </div>
                </div>

            </div>
            <hr class="my-0">

            <!-- /Account -->
          </div>

    </div>
</div>
<?php $__env->startPush('script'); ?>

<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arshpcm/public_html/crew.ayarship.com/resources/views/backend/pages/crew/crew-certificate.blade.php ENDPATH**/ ?>