<?php $__env->startSection('contents'); ?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-md-12">

        </div>
        <div class="card mb-4">
            <!-- Account -->
            <div class="card-body">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-10">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <td colspan="3"><strong>Vessel Name</strong> <br><?php echo e($vessel->vessel_name); ?>


                                        </td>
                                    </tr>
                                    <tr>
                                        <td><strong>IMO NO </strong> <br> <?php echo e($vessel->imo_no); ?> </td>
                                        <td><strong>For Image  </strong> <br> <img style="80px" src="<?php echo e(asset($vessel->flag_img)); ?>" alt=""></td>
                                        <td><strong>Country </strong> <br> <?php echo e($vessel->country_name); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <td colspan="3">
                                            <a href="<?php echo e(route('admin.crewVessel', [$vessel->id])); ?>" type="button" class="btn btn-primary GetCrewCertificate">Crew List</a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="5"><strong><h6> Vessel Management Details  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong> IMO number </strong></th>
                                        <th><strong>Role</strong></th>
                                        <th><strong> Name of company </strong></th>
                                        <th><strong>Address</strong></th>
                                        <th><strong> Date of effect </strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $vessel_management; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->imo_number); ?></td>
                                        <td><?php echo e($data->role); ?></td>
                                        <td><?php echo e($data->name_of_company); ?></td>
                                        <td><?php echo e($data->address); ?></td>
                                        <td><?php echo e($data->date_of_effect); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6> Vessel Classification  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong> Title </strong></th>
                                        <th><strong>Status</strong></th>
                                        <th><strong> Since</strong></th>
                                        <th><strong>Survey Title</strong></th>
                                        <th><strong> Last Renewal Survey</strong></th>
                                        <th><strong> Next Renewal Survey</strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $vessel_classification; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->title); ?></td>
                                        <td><?php echo e($data->status); ?></td>
                                        <td><?php echo e($data->since); ?></td>
                                        <td><?php echo e($data->survey_title); ?></td>
                                        <td><?php echo e($data->last_renewal_survey); ?></td>
                                        <td><?php echo e($data->next_renewal_survey); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>  Vessel Safety Certificate  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>  Classification society  </strong></th>
                                        <th><strong> Date survey </strong></th>
                                        <th><strong>  Date expiry </strong></th>
                                        <th><strong> Date change status </strong></th>
                                        <th><strong> Status</strong></th>
                                        <th><strong> Reason</strong></th>
                                        <th><strong> Top C/V </strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $vessel_safety_certificate; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->classification_society); ?></td>
                                        <td><?php echo e($data->date_survey); ?></td>
                                        <td><?php echo e($data->date_expiry); ?></td>
                                        <td><?php echo e($data->date_change_status); ?></td>
                                        <td><?php echo e($data->date_change_status); ?></td>
                                        <td><?php echo e($data->reason); ?></td>
                                        <td><?php echo e($data->top_c_v); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="2"><strong><h6>   P&I Information   </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong> Title </strong></th>
                                        <th><strong>Tnception</strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $vessel_p_i__information; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->title); ?></td>
                                        <td><?php echo e($data->inception); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="3"><strong><h6>  Geographical Information </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>  Date of  record </strong></th>
                                        <th><strong> Area where the ship was seen </strong></th>
                                        <th><strong> Source</strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $vessel_geo_informations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->date_of_record); ?></td>
                                        <td><?php echo e($data->ship_area); ?></td>
                                        <td><?php echo e($data->source); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="2"><strong><h6>  IMO Conventions  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>Conventions  </strong></th>
                                        <th><strong>Status</strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $vessel_conventions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->convention); ?></td>
                                        <td><?php echo e($data->status); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- /Account -->
          </div>

    </div>
</div>
<?php $__env->startPush('script'); ?>

<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/vessel/view.blade.php ENDPATH**/ ?>