<?php $__env->startSection('contents'); ?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <h5 class="card-header"><?php echo e($title); ?></h5>
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>Vessel Name</th>
                            <th>IMO No</th>
                            <th>Status</th>
                            <th>Actions</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            <?php $__empty_1 = true; $__currentLoopData = $vassels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td> <a href="<?php echo e(route('admin.vessel.show', [$data->id])); ?>" target="_blank"> <strong><?php echo e($data->vessel_name); ?></strong>  </a> </td>
                                    <td><a href="<?php echo e(route('admin.vessel.show', [$data->id])); ?>" target="_blank"> <?php echo e($data->imo_no); ?></a></td>
                                    <td><span class="badge bg-label-primary me-1"><?php echo e($data->status); ?></span></td>
                                    <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                                        Action
                                        </button>
                                        <div class="dropdown-menu">
                                        <a class="dropdown-item" href="<?php echo e(route('admin.vessel.edit', [$data->id])); ?>"
                                            ><i class="bx bx-edit-alt me-1"></i> Edit</a
                                        >

                                        <a class="dropdown-item" href="<?php echo e(route('admin.vesselDelete', [$data->id])); ?>"
                                            ><i class="bx bx-trash me-1"></i> Delete</a
                                        >
                                        </div>
                                    </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            <?php endif; ?>

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/vessel/index.blade.php ENDPATH**/ ?>