<!-- Menu -->

<aside id="layout-menu" class="layout-menu menu-vertical menu bg-menu-theme">
    <div class="app-brand demo">
      <a href="index.html" class="app-brand-link">
        <span class="app-brand-logo demo">
            <img src="{{ asset('images/sipp-logo.png') }}" height="40px"  alt="">
        </span>
        {{-- <span class="app-brand-text menu-text fw-bolder ms-2" style="font-size: 20px">Management</span> --}}
      </a>

      <a href="javascript:void(0);" class="layout-menu-toggle menu-link text-large ms-auto d-block d-xl-none">
        <i class="bx bx-chevron-left bx-sm align-middle"></i>
      </a>
    </div>

    <div class="menu-inner-shadow"></div>

    <ul class="menu-inner py-1">
      <!-- Dashboard -->
      <li class="menu-item">
        <a href="{{ url('/') }}" class="menu-link">
           <span> <img src="{{ asset('backend/assets/img/menu-icon/dashboard.svg') }}" style="height: 20px; widht:20px; margin-right:10px;"></span>
          <div data-i18n="Analytics">Dashboard</div>
        </a>
      </li>

      <!-- Vessel -->
      <li class="menu-item">
        <a href="javascript:void(0);" class="menu-link menu-toggle">
            <span> <img src="{{ asset('backend/assets/img/menu-icon/vessel.svg') }}" style="height: 20px; widht:20px; margin-right:10px;"></span>
          <div data-i18n="Layouts">Vessel</div>
        </a>

        <ul class="menu-sub">
          <li class="menu-item">
            <a href="{{ route('admin.vessel.create') }}" class="menu-link">
              <div data-i18n="Without menu">Add Vessel</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.vessel.index') }}" class="menu-link">
              <div data-i18n="Without navbar">Vessel list</div>
            </a>
          </li>
        </ul>
      </li>
      <!-- Crew -->
      <li class="menu-item">
        <a href="javascript:void(0);" class="menu-link menu-toggle">
            <span> <img src="{{ asset('backend/assets/img/menu-icon/crew.svg') }}" style="height: 20px; widht:20px; margin-right:10px;"></span>
          <div data-i18n="Layouts">Applicant</div>
        </a>

        <ul class="menu-sub">
          <li class="menu-item">
            <a href="{{ route('admin.crew.create') }}" class="menu-link">
              <div data-i18n="Without menu">Add Applicant</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.crew.index') }}" class="menu-link">
              <div data-i18n="Without navbar">Applicant list</div>
            </a>
          </li>

        </ul>
      </li>
      <!-- CV Pool -->
      <li class="menu-item">
        <a href="javascript:void(0);" class="menu-link menu-toggle">
            <span> <img src="{{ asset('backend/assets/img/menu-icon/cv-pool.svg') }}" style="height: 20px; widht:20px; margin-right:10px;"></span>
          <div data-i18n="Layouts">CV Pool</div>
        </a>

        <ul class="menu-sub">
          <li class="menu-item">
            <a href="{{ route('admin.crew.create') }}" class="menu-link">
              <div data-i18n="Without menu">Add Seafarer General Format</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.general-cv.index') }}" class="menu-link">
              <div data-i18n="Without menu">CV / Application List</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.general-cv.onBoard') }}" class="menu-link">
              <div data-i18n="Without menu">On Board List</div>
            </a>
          </li>
        </ul>
      </li>
      <!-- Certificate  -->
      <li class="menu-item">
        <a href="javascript:void(0);" class="menu-link menu-toggle">
            <span> <img src="{{ asset('backend/assets/img/menu-icon/certificate.svg') }}" style="height: 20px; widht:20px; margin-right:10px;"></span>
          <div data-i18n="Layouts">Certificate </div>
        </a>

        <ul class="menu-sub">
          <li class="menu-item">
            <a href="{{ route('admin.certificate.create') }}" class="menu-link">
              <div data-i18n="Without menu">Add Certificate</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.certificate.index') }}" class="menu-link">
              <div data-i18n="Without menu">All Certificate</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.certificate.general') }}" class="menu-link">
              <div data-i18n="Without menu">General</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.certificate.professional') }}" class="menu-link">
              <div data-i18n="Without navbar">Professional</div>
            </a>
          </li>
          <li class="menu-item">
            <a href="{{ route('admin.certificate.medical') }}" class="menu-link">
              <div data-i18n="Without navbar">Medical</div>
            </a>
          </li>

          <li class="menu-item">
            <a href="{{ route('admin.certificate.expaired') }}" class="menu-link">
              <div data-i18n="Without navbar">expaired Certificate List</div>
            </a>
          </li>
        </ul>
      </li>
      <!-- SMS Settings   -->
      <li class="menu-item">
        <a href="javascript:void(0);" class="menu-link menu-toggle">
            <span> <img src="{{ asset('backend/assets/img/menu-icon/sms.svg') }}" style="height: 20px; widht:20px; margin-right:10px;"></span>

          <div data-i18n="Layouts">SMS Settings  </div>
        </a>

        <ul class="menu-sub">
          <li class="menu-item">
            <a href="{{  route('admin.sms.exprotCrewIndex') }}" class="menu-link">
              <div data-i18n="Without menu">Export Applicant</div>
            </a>
            <a href="{{route('admin.sms.create') }}" class="menu-link">
              <div data-i18n="Without menu">Create Message</div>
            </a>
            <a href="{{route('admin.sms.index') }}" class="menu-link">
              <div data-i18n="Without menu">Send SMS</div>
            </a>
            <a href="{{route('admin.sms.viewSendSMS') }}" class="menu-link">
              <div data-i18n="Without menu">View Send SMS</div>
            </a>
          </li>
        </ul>
      </li>

      {{-- <li class="menu-header small text-uppercase">
        <span class="menu-header-text">Pages</span>
      </li> --}}


    </ul>
  </aside>
  <!-- / Menu -->
