<?php
use Illuminate\Support\Facades\DB;

// print_r($config);
 ?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="fDEohWd4NRhfECgNH07Z1dGkafMH5tz33ri0A174">
        <link rel="icon" href=" " type="image/gif" sizes="16x16">
        <title> Applicant Management </title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{asset('css/app.css')}}">

        <!-- Scripts -->
        <script src="{{asset('js/app.js')}}" defer></script>

        <style type="text/css">
            img {
                height: 100px !important;
            }
            .website-logo {
            text-align: center !important;
            }
            .website-logo img {
            margin: 0 auto;
            margin-bottom: 11px;
            border-radius: ;
            margin-top: 20px;
            }
            .website-logo h4 {
            color: #000;
            font-weight: 700;
            }
        </style>
    </head>
    <body>
    <x-jet-authentication-card>
        <x-slot name="logo">
            <!-- <x-jet-authentication-card-logo /> -->
            <div class="website-logo">
                <img  src="{{ asset('backend/assets/img/logo.jpeg') }}" alt="">
                <h4 class="text-center" style="">AYAR SHIPPING SERVICES</h4>
                <h4 class="text-center" style="">Applicant Registration</h4>
            </div>
        </x-slot>

        <x-jet-validation-errors class="mb-4" />

        @if (session('status'))
            <div class="mb-4 font-medium text-sm text-green-600">
                {{ session('status') }}
            </div>
        @endif

        <form method="POST" action="{{ route('crewSignup') }}">
            @csrf

            <div>
                <x-jet-label for="email" value="{{ __('Email') }}" />
                <x-jet-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required autofocus />
            </div>
            <div>
                <x-jet-label for="full_name" value="{{ __('Full Name') }}" />
                <x-jet-input id="full_name" class="block mt-1 w-full" type="text" name="full_name" :value="old('email')" required autofocus />
            </div>
            <div>
                <x-jet-label for="id_no" value="{{ __('Id No') }}" />
                <x-jet-input id="id_no" class="block mt-1 w-full" type="text" name="id_no" :value="old('id_no')" required autofocus />
            </div>

            <div class="mt-4">
                <x-jet-label for="password" value="{{ __('Password') }}" />
                <x-jet-input id="password" class="block mt-1 w-full" type="password" name="password" required autocomplete="current-password" />
            </div>
            <div class="mt-4">
                <x-jet-label for="confirm_password" value="{{ __('Connfirm Password') }}" />
                <x-jet-input id="confirm_password" class="block mt-1 w-full" type="password" name="confirm_password" required autocomplete="current-password" />
            </div>


            <div class="flex items-center justify-end mt-4">


                <x-jet-button class="ml-4">
                    {{ __('Sign Up') }}
                </x-jet-button>
            </div>
            <div class="flex items-center justify-end mt-4">
                <h4>Already have a account ? <a href="{{ route('crewLogin') }}">please login</a> </h4>
            </div>
        </form>
    </x-jet-authentication-card>
    </body>
</html>
