{{-- @extends('layouts.backend')
@section('contents') --}}
<?php
use Illuminate\Support\Facades\DB;


$general_cv = DB::table('general_cvs')->where('id', $id)->first();
$crew = DB::table('crews')->where('id', $general_cv->crew_id)->first();
$vessel = DB::table('vessels')->where('id', $general_cv->for_vessel)->first();
$font_link = public_path().'/backend/fonts/Poppins-Regular.ttf';
$academic_qualificaitions = DB::table('crew_academic_qualificaitions')->where('crew_id', $general_cv->crew_id)->get();
$immigration_documents = DB::table('crew_immigration_documents')->where('crew_id', $general_cv->crew_id)->get();
$prev_sea_service_detail = DB::table('crew_prev_sea_service_details')->where('crew_id', $general_cv->crew_id)->get();
$qualification_certificates = DB::table('crew_qualification_certificates')->where('crew_id', $general_cv->crew_id)->get();


?>
<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Laravel 8 Generate PDF From View</title>
   {{-- <link rel="stylesheet" href="{{ public_path() }}/backend/assets/css/demo.css" />
   <link rel="stylesheet" href="{{ public_path() }}/backend/assets/vendor/css/core.css" class="template-customizer-core-css" />
   <link rel="stylesheet" href="{{ public_path() }}/backend/assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
   <link rel="stylesheet" href="{{ public_path() }}/backend/assets/css/demo.css" /> --}}
    <style>

        .custom-table table td, .custom-table table th {
        font-size: ;
        border: 1px solid #ddd;
        font-size: 11px !important;
        padding: 5px;
        }
        .custom-table h6 {
        margin-bottom: 0;
        font-weight: 700;
        }
        .cv-img img {
        height: 125px;
        width: 125px;
        margin-bottom: 20px;
        }
        .cv-img {
        text-align: center;
        }

        .signiture {
        display: inline-block;
        width: 100%;
        margin: 20px 2px;
        width: 200px;
        text-align: center;
        float: right;
        }
        .custom-table {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        }
        .signiture span {
        display: inline-block;
        margin-top: 10px;
        }
        .signiture_title {
        border-top: 1px solid #ddd;
        }
        .signiture img {
        width: 100%;
        }
        .ship-bg {
            height: 100%;
            width: 100%;
            position: fixed;
            background-attachment: fixed;
            background-position: center center;
            background-size: cover;
            z-index: -1;
        }
        .ship-bg::after {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            content: '';
            background-size: ;
            background-color: #000;
            opacity: 0.6;
        }
        .download-pdf-btn {
            display: inline-block;
            text-align: right;
            width: 100%;
        }
        #print-general-cv {
            background-color: #fff !important;
        }
        .width-75{
            width: 75%;
        }
        .width-100{
            width: 100%;
        }
        .overflow{
            overflow: hidden;
        }
        .width-25{
            width: 25%;
        }
        .float-left{
            float: left;
        }
        .float-right{
            float: left;
        }
        .d-block{
            display: block;
        }
        .d-inline-block{
            display: inline-block;
        }
    </style>
</head>
<body>
    <div class="pdf-page" >
        <div class="custom-table width-100">
            <table class="table  width-100">
                <tr>
                    <td colspan="2"><strong>Position Applied 申请职务</strong> <br>{{ $general_cv->position_applied }}
                    </td>
                    <td rowspan="3">
                        <?php if($crew->img !=''): ?>
                        <div class="cv-img width-130px">
                            <img style="width:130px" src="{{ public_path().'/'.$crew->img }}" alt="">
                        </div>
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td><strong>Application Date 申请日期 </strong> <br> {{ $general_cv->application_date }} </td>
                    <td><strong>For Vessel 申请船舶  </strong> <br> <?php if(isset($vessel->vessel_name)){echo $vessel->vessel_name; } ?></td>
                </tr>
                <tr>
                    <td><strong>Available Date 预计到职日  </strong> <br> {{ $general_cv->available_date }}</td>
                    <td><strong>Manning Agent 船员代理  </strong> <br> {{ $general_cv->manning_agent }}</td>
                </tr>
            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6>PERSONAL PARTICULARS 个人资料 </h6></strong></th>
                </tr>
                <tr>
                    <td><strong>Last Name姓氏</strong> <br> {{ $crew->last_name }} </td>
                    <td><strong>Given Name (as in passport)名(同护照)
                    </strong> <br> {{ $crew->given_name }} </td>
                    <td colspan="4"><strong>Chinese Name 中文名</strong> <br> {{ $crew->full_name }} </td>
                </tr>
                <tr>
                    <td><strong>Place of Birth 出生地 </strong> <br> {{ $crew->place_of_birth }} </td>
                    <td><strong>Date of Birth 出生日期 (DD/MM/YYYY)  </strong> <br> {{ $crew->date_of_birth }} </td>
                    <td><strong>Height 身高 </strong> <br> {{ $crew->height }} </td>
                    <td><strong>Weight 体重  </strong> <br> {{ $crew->weight }} </td>
                    <td><strong>Boiler Suit  </strong> <br> {{ $crew->boiler_suit }} </td>
                    <td><strong>Safety Shoes 安全鞋  </strong> <br> {{ $crew->safety_shoes }} </td>
                </tr>
                <tr>
                    <td><strong>Marital Status 婚姻状态 </strong> <br> {{ $crew->marital_status }} </td>
                    <td><strong>Mobile No.手机号码  </strong> <br> {{ $crew->mobile_no }} </td>
                    <td><strong>Nationality 国籍</strong> <br> {{ $crew->nationality }} </td>
                    <td><strong>Blood Type 血型:  </strong> <br>  </td>
                    <td><strong>HairColor 发色: </strong> <br> {{ $crew->hair_color }} </td>
                    <td><strong>Eyes Color 瞳色:  </strong> <br> {{ $crew->eyes_color }} </td>
                </tr>
                <tr>
                    <td colspan="2"><strong>SID No.</strong> <br> {{ $crew->sid_no }} </td>
                    <td colspan="2"><strong>ID No. 身分证号</strong> <br> {{ $crew->nid_no }} </td>
                    <td><strong>Religion 宗教 </strong> <br> {{ $crew->religion }}</td>
                    <td><strong>Medical History 病史 </strong> <br> {{ $crew->covid_vaccination }} </td>
                </tr>
                <tr>
                    <td colspan="3"><strong>Address 目前家庭住址 .  </strong> <br> {{ $crew->address }} </td>
                    <td colspan="3"><strong>Email 个人电邮: </strong> <br> {{ $crew->email }} </td>
                </tr>
            </table>
        </div>

        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="4"><strong><h6>HIGHEST ACADEMIC QUALIFICAITION 毕业/培训学校  </h6></strong></th>
                </tr>
                @foreach ($academic_qualificaitions as $data)
                    <tr>
                        <td><strong>From 从 (DD/MM/YYYY)</strong> <br> {{ $data->from }}</td>
                        <td><strong>To 至 (DD/MM/YYYY)</strong> <br>  {{ $data->to }}</td>
                        <td><strong>Institutions/Universities attached 机构/学校名 </strong> <br> {{ $data->institutions }} </td>
                        <td><strong>Qualifications 程度 </strong> <br>  {{ $data->qualifications }} </td>
                    </tr>
                @endforeach

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="3"><strong><h6>FAMILY BACKGROUND 家庭背景   </h6></strong></th>
                </tr>
                <tr>
                    <td><strong>Next of Kin 直系亲属姓名 </strong> <br> {{ $crew->next_of_kin }} </td>
                    <td><strong>Relationship 关系 </strong> <br>  {{ $crew->relationship }} </td>
                    <td><strong>Phone No. 家属电话 </strong> <br>  {{ $crew->family_phone_no }} </td>
                </tr>
                <tr>
                    <td colspan="3"><strong>Address of Next of Kin 家属住址 </strong> <br>  {{ $crew->address_next_of_kin }} </td>
                </tr>
            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="4"><strong><h6>IMMIGRATION DOCUMENTS 申请出入境文件   </h6></strong></th>
                </tr>
                @foreach ( $immigration_documents as $data )
                    <tr>
                        <td><strong> Passport 护照</strong> <br> {{ $data->document_title }}</td>
                        <td><strong>Issued at 签发单位 </strong> <br> {{ $data->issue_at }}</td>
                        <td><strong>Issued Date 发行日(DD/MM/YYYY) </strong> <br> {{ $data->issue_date }}</td>
                        <td><strong>Expiry Date 到期日(DD/MM/YYYY)</strong> <br> {{ $data->expiry_date }}</td>
                    </tr>
                @endforeach

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="12"><strong><h6>DETAILS OF PREVIOUS SEA SERVICE 详细的海上经历 </h6></strong></th>
                </tr>
                <tr>
                    <th><strong>Rank <br>  职务  </strong></th>
                    <th><strong>Name of Vessel <br> 船名 </strong></th>
                    <th><strong>Flag of Vessel <br> 船国籍 </strong></th>
                    <th><strong>Type of Vessel <br> 船型</strong></th>
                    <th><strong>Main Engine <br> 主机型号</strong></th>
                    <th><strong>GRT <br> 吨位</strong></th>
                    <th><strong>HP <br> 马力</strong></th>
                    <th colspan="3" class="border-bottom"><strong>Period of Service 期间 (DD/MM/YYYY)</strong>
                        <table>
                            <tr>
                                <td><strong>Sign-On</strong> </td>
                                <td><strong>Sign-Off</strong> </td>
                                <td><strong>Duration  (mth) </strong> </td>
                            </tr>
                        </table>
                    </th>
                    <th><strong>Reason for sign-off <br> 下船原因</strong></th>
                    <th><strong>Name of Company <br> 服务公司</strong></th>
                </tr>
                @foreach ($prev_sea_service_detail as $data)
                <tr>
                    <td>{{ $data->rank }}</td>
                    <td><?php if(isset($data->vessel_name)){echo $data->vessel_name; } ?></td>
                    <td>
                        <?php if(isset($data->vessel_flag)): ?>
                        <img src="{{ public_path().'/'.$data->vessel_flag }}" height="25px" width="35px" alt="">
                        <?php endif; ?>
                    </td>
                    <td><?php if(isset($data->vessel_type)){echo $data->vessel_type; } ?></td>
                    <td><?php if(isset($data->imo)){echo $data->imo; } ?></td>
                    <td>{{ $data->grt }}</td>
                    <td>{{ $data->nrt }}</td>
                    <td>{{ $data->period_of_service }}</td>
                    <td>{{ $data->sign_on }}</td>
                    <td>{{ $data->sign_off }}</td>
                    <td>{{ $data->duration }}</td>
                    <td>{{ $data->reason_for_sign }}</td>
                </tr>
                @endforeach

            </table>
        </div>
        <div class="custom-table width-100">
            <table class="table table-responsive width-100">
                <tr>
                    <th colspan="6"><strong><h6>Qualification 资格证书</h6></strong></th>
                </tr>

                <tr>
                    <th><strong>{Qualification}</strong></th>
                    <th><strong>Cert No. <br> 证书号码</strong></th>
                    <th><strong>Issued Date <br> 发行日 (DD/MM/YYYY) </strong></th>
                    <th><strong>Expiry Date <br> 发行日 (DD/MM/YYYY) </strong></th>
                    <th><strong>Issued By <br> 发行单位</strong></th>
                    <th><strong>Sign By</strong></th>
                </tr>
                <?php
                 $certificates = ['general', 'professional', 'medical'];
                 ?>
                 @foreach ( $certificates as $certificate)
                    <tr>
                        <th colspan="6" style="text-align: center"><strong>{{ $certificate }} </strong></th>
                    </tr>
                    <?php
                    $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                    ?>
                    @foreach ($certificate_data as  $data)
                    <?php //dd($data); ?>
                        <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                        if($crew_certificate){
                            $cert_no = $crew_certificate->cert_no;
                            $issue_date = $crew_certificate->issue_date;
                            $expiry_date = $crew_certificate->expiry_date;
                            $issued_by = $crew_certificate->issued_by;
                            $sign_off = $crew_certificate->sign_off;

                        }else{
                            $cert_no = '';
                            $issue_date = '';
                            $expiry_date = '';
                            $issued_by = '';
                            $sign_off = '';
                        }
                        ?>
                        <tr>
                            <td>{{ $data->certificate_title }}</td>
                            <td>{{ $cert_no }}</td>
                            <td>{{ $issue_date }}</td>
                            <td>{{ $expiry_date }}</td>
                            <td>{{ $issued_by }}</td>
                            <td>{{ $sign_off }}</td>
                        </tr>
                    @endforeach
                 @endforeach



            </table>
        </div>
        <div class="custom-table width-100 ">
            <h6>Declaration to be signed by the Applicant</h6>
            <hr>
            <p>I hereby certify that the information contained in this form is completed & correct. I understand that the Company may terminate my service at any time if any of the above information is found to be false.</p>


            <span class="signiture">
                <?php if($general_cv->signature_of_applicant != ''): ?>
                <img height="80px" src="{{ public_path().'/'.$general_cv->signature_of_applicant }}" alt=""> <br>
                <?php endif; ?>
                <span> <strong>Date: </strong>{{ $general_cv->signature_date }}</span> <br>
                <span class="signiture_title">Signature of Applicant/Date</span>
            </span>
        </div>
        <div class="custom-table width-100 ">
            <p>Interview by/Date: <strong>{{ $general_cv->interview_by }}</strong>/ <strong>{{ $general_cv->interview_date }}</strong>  Department: <strong>{{ $general_cv->department }}</strong> Status:  Approved / Rejected </p>
        </div>
    </div>
</body>
</html>



<div id="editor"></div>
{{-- @push('script')


<script>
      let doc = new jsPDF();

       let btn = document.getElementById('btn-general-cv');

      let conteudo = document.getElementById('print-general-cv');
      doc.addHTML(conteudo, 0, 10, function() {

            var blob = doc.output("blob");
            window.open(URL.createObjectURL(blob));
            history.go(-1);
        });

    //   btn.addEventListener('click', function() {



    //   })

</script>
@endpush
@endsection
 --}}
