@extends('layouts.backend')
@section('contents')
<?php
use Illuminate\Support\Facades\DB;
?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <h5 class="card-header">{{ $title }}</h5>
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>SMS Message</th>
                            <th>SMS Number</th>
                            <th>Status</th>
                            <th>Date</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            @forelse ($sms as $data )
                                <tr>
                                     <td><span class="badge bg-label-primary me-1">{{ $data->sms_message }}</span></td>
                                     <td><span class="badge bg-label-primary me-1">{{ $data->sms_number }}</span></td>

                                     <td><span class="badge bg-label-success me-1">{{ $data->status }}</span></td>
                                     <td><span class="badge bg-label-primary me-1">{{ $data->updated_at }}</span></td>

                                </tr>
                            @empty
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            @endforelse

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
 <!-- Large Modal -->

@endsection
