<?php $__env->startSection('contents'); ?>
<?php
use Illuminate\Support\Facades\DB;
?>
<div   class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-md-12">

        </div>
        <div class="card mb-4">
            <h5 class="card-header"></h5>
            <!-- Account -->
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12 ">
                        <span class="text-right mb-3 download-pdf-btn">
                            <a href="<?php echo e(route('admin.general-cv.china', [$general_cv->id])); ?>" class="btn btn-primary">Download Chinese CV</a>
                            <a href="<?php echo e(route('admin.general-cv.general', [$general_cv->id])); ?>" class="btn btn-primary">Download General CV</a>
                            <a href="<?php echo e(route('admin.general-cv.brilliant', [$general_cv->id])); ?>" class="btn btn-primary">Download Brilliant CV</a>
                            <a href="<?php echo e(route('admin.general-cv.qingdao', [$general_cv->id])); ?>" class="btn btn-primary">Download Qingdao CV</a>
                            <a href="<?php echo e(route('admin.general-cv.panOcean', [$general_cv->id])); ?>" class="btn btn-primary">Download PAN Ocean CV</a>
                            <a href="<?php echo e(route('admin.general-cv.zrich', [$general_cv->id])); ?>" class="btn btn-primary">Download Zrich CV</a>
                         </span>
                    </div>
                </div>
                <div id="print-general-cv">
                    <div class="row">
                        <div class="col-md-8">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <td colspan="2"><strong>Position Applied</strong> <br><?php echo e($general_cv->position_applied); ?>


                                        </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Application Date </strong> <br> <?php echo e($general_cv->application_date); ?> </td>
                                        <td><strong>For Vessel  </strong> <br> <?php if(isset($vessel->vessel_name)){echo $vessel->vessel_name ; } ?>  </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Available Date  </strong> <br> <?php echo e($general_cv->available_date); ?></td>
                                        <td><strong>Manning Agent  </strong> <br> <?php echo e($general_cv->manning_agent); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                        <div class="col-md-4 text-right">
                            <div class="cv-img">
                                <img src="<?php echo e(asset($crew->img)); ?>" alt="">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>PERSONAL PARTICULARS </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <td><strong>Last Name:</strong> <br> <?php echo e($crew->last_name); ?> </td>
                                        <td><strong>Given Name (as in passport)</strong> <br> <?php echo e($crew->given_name); ?> </td>
                                        <td colspan="4"><strong>Full Name: </strong> <br> <?php echo e($crew->full_name); ?> </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Place of Birth </strong> <br> <?php echo e($crew->place_of_birth); ?> </td>
                                        <td><strong>Date of Birth (DD/MM/YYYY)  </strong> <br> <?php echo e($crew->date_of_birth); ?> </td>
                                        <td><strong>Height </strong> <br> <?php echo e($crew->height); ?> </td>
                                        <td><strong>Weight  </strong> <br> <?php echo e($crew->weight); ?> </td>
                                        <td><strong>Boiler Suit  </strong> <br> <?php echo e($crew->boiler_suit); ?> </td>
                                        <td><strong>Safety Shoes.  </strong> <br> <?php echo e($crew->safety_shoes); ?> </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Marital Status </strong> <br> <?php echo e($crew->marital_status); ?> </td>
                                        <td><strong>Mobile No  </strong> <br> <?php echo e($crew->mobile_no); ?> </td>
                                        <td><strong>Nationality</strong> <br> <?php echo e($crew->nationality); ?> </td>
                                        <td><strong>Blood Type:  </strong> <br>  </td>
                                        <td><strong>HairColor: </strong> <br> <?php echo e($crew->hair_color); ?> </td>
                                        <td><strong>Eyes Color:  </strong> <br> <?php echo e($crew->eyes_color); ?> </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><strong>SID No.</strong> <br> <?php echo e($crew->sid_no); ?> </td>
                                        <td colspan="2"><strong>NID No</strong> <br> <?php echo e($crew->nid_no); ?> </td>
                                        <td><strong>Religion </strong> <br> <?php echo e($crew->religion); ?></td>
                                        <td><strong>Covid Vaccination:  </strong> <br> <?php echo e($crew->covid_vaccination); ?> </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3"><strong>Address.  </strong> <br> <?php echo e($crew->address); ?> </td>
                                        <td colspan="3"><strong>Email: </strong> <br> <?php echo e($crew->email); ?> </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>HIGHEST academic qualificaition  </h6></strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $academic_qualificaitions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><strong>From (DD/MM/YYYY)</strong> <br> <?php echo e($data->from); ?></td>
                                            <td><strong>To (DD/MM/YYYY)</strong> <br>  <?php echo e($data->to); ?></td>
                                            <td><strong>Institutions/Universities Name </strong> <br> <?php echo e($data->institutions); ?> </td>
                                            <td><strong>Qualifications </strong> <br>  <?php echo e($data->qualifications); ?> </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>FAMILY BACKGROUND   </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <td><strong>Next of Kin </strong> <br> <?php echo e($crew->next_of_kin); ?> </td>
                                        <td><strong>Relationship </strong> <br>  <?php echo e($crew->relationship); ?> </td>
                                        <td><strong>Phone No. </strong> <br>  <?php echo e($crew->family_phone_no); ?> </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3"><strong>Address of Next of Kin </strong> <br>  <?php echo e($crew->address_next_of_kin); ?> </td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>immigration documents    </h6></strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $immigration_documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><strong> Passport</strong> <br> <?php echo e($data->document_title); ?></td>
                                            <td><strong>Issued at  </strong> <br> <?php echo e($data->issue_at); ?></td>
                                            <td><strong>Issued Date (DD/MM/YYYY) </strong> <br> <?php echo e($data->issue_date); ?></td>
                                            <td><strong>Expiry Date (DD/MM/YYYY) </strong> <br> <?php echo e($data->expiry_date); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="12"><strong><h6>details of previous sea service  </h6></strong></th>
                                    </tr>
                                    <tr>
                                        <th><strong>Rank</strong></th>
                                        <th><strong>Name of Vessel</strong></th>
                                        <th><strong>Flag of Vessel</strong></th>
                                        <th><strong>Type of Vessel</strong></th>
                                        <th><strong>IMO No.</strong></th>
                                        <th><strong>GRT</strong></th>
                                        <th><strong>NRT</strong></th>
                                        <th colspan="3" class="border-bottom"><strong>Period of Service (DD/MM/YYYY)</strong>
                                            <table>
                                                <tr>
                                                    <td><strong>Sign-On</strong> </td>
                                                    <td><strong>Sign-Off</strong> </td>
                                                    <td><strong>Duration  (mth) </strong> </td>
                                                </tr>
                                            </table>
                                        </th>
                                        <th><strong>Reason for sign-off </strong></th>
                                        <th><strong>Name of Company</strong></th>
                                    </tr>
                                    <?php $__currentLoopData = $prev_sea_service_detail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($data->rank); ?></td>
                                        <td> <?php if(isset($data->vessel_name)){echo $data->vessel_name ; } ?> </td>
                                        <td>  <?php if(isset($vessel->vessel_flag)){
                                            ?>
                                            <img src="<?php echo e(asset($vessel->vessel_flag)); ?>" height="25px" width="35px" alt="">
                                            <?php
                                        } ?>   </td>
                                        <td> <?php if(isset($data->vessel_type)){echo $data->vessel_type ; } ?></td>
                                        <td><?php if(isset($data->imo)){echo $data->imo ; } ?></td>
                                        <td><?php echo e($data->grt); ?></td>
                                        <td><?php echo e($data->nrt); ?></td>
                                        <td><?php echo e($data->period_of_service); ?></td>
                                        <td><?php echo e($data->sign_on); ?></td>
                                        <td><?php echo e($data->sign_off); ?></td>
                                        <td><?php echo e($data->duration); ?></td>
                                        <td><?php echo e($data->reason_for_sign); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <table class="table table-responsive">
                                    <tr>
                                        <th colspan="6"><strong><h6>Qualification </h6></strong></th>
                                    </tr>

                                    <tr>
                                        <th><strong>{Qualification}</strong></th>
                                        <th><strong>Cert No.</strong></th>
                                        <th><strong>Issued Date (DD/MM/YYYY) </strong></th>
                                        <th><strong>Expiry Date (DD/MM/YYYY) </strong></th>
                                        <th><strong>Issued By</strong></th>
                                        <th><strong>Sign By</strong></th>
                                    </tr>
                                    <?php
                                     $certificates = ['general', 'professional', 'medical'];
                                     ?>
                                     <?php $__currentLoopData = $certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <th colspan="6" style="text-align: center"><strong><?php echo e($certificate); ?> </strong></th>
                                        </tr>
                                        <?php
                                        $certificate_data = DB::table('certificates')->where('certificate_type', $certificate)->where('status', '1')->orderBy('order')->get();
                                        ?>
                                        <?php $__currentLoopData = $certificate_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php //dd($data); ?>
                                            <?php  $crew_certificate = DB::table('crew_qualification_certificates')->where('certificate_type', $certificate)->where('certificate_id', $data->id)->first();
                                            if($crew_certificate){
                                                $cert_no = $crew_certificate->cert_no;
                                                $issue_date = $crew_certificate->issue_date;
                                                $expiry_date = $crew_certificate->expiry_date;
                                                $issued_by = $crew_certificate->issued_by;
                                                $sign_off = $crew_certificate->sign_off;

                                            }else{
                                                $cert_no = '';
                                                $issue_date = '';
                                                $expiry_date = '';
                                                $issued_by = '';
                                                $sign_off = '';
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo e($data->certificate_title); ?></td>
                                                <td><?php echo e($cert_no); ?></td>
                                                <td><?php echo e($issue_date); ?></td>
                                                <td><?php echo e($expiry_date); ?></td>
                                                <td><?php echo e($issued_by); ?></td>
                                                <td><?php echo e($sign_off); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>



                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <h6>Declaration to be signed by the Applicant</h6>
                                <hr>
                                <p>I hereby certify that the information contained in this form is completed & correct. I understand that the Company may terminate my service at any time if any of the above information is found to be false.</p>


                                <span class="signiture">
                                    <img height="80px" src="<?php echo e(asset($general_cv->signature_of_applicant)); ?>" alt=""> <br>
                                    <span> <strong>Date: </strong><?php echo e($general_cv->signature_date); ?></span> <br>
                                    <span class="signiture_title">Signature of Applicant/Date</span>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="custom-table">
                                <p>Interview by/Date: <strong><?php echo e($general_cv->interview_by); ?></strong>/ <strong><?php echo e($general_cv->interview_date); ?></strong>  Department: <strong><?php echo e($general_cv->department); ?></strong> Status:  Approved / Rejected </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <hr class="my-0">

            <!-- /Account -->
          </div>

    </div>
</div>

<div id="editor"></div>
<?php $__env->startPush('script'); ?>


<script>
      let doc = new jsPDF();

       let btn = document.getElementById('btn-general-cv');

      let conteudo = document.getElementById('print-general-cv');

      btn.addEventListener('click', function() {

        doc.addHTML(conteudo, 0, 10, function() {

          var blob = doc.output("blob");
          window.open(URL.createObjectURL(blob));
        });

      })

</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/general-cv/view.blade.php ENDPATH**/ ?>