<?php

namespace App\Http\Controllers\admin;

use toastr;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class dashboardController extends Controller
{
    public function dashboard(){
        $vassels = DB::table('vessels')->get();
        $crew = DB::table('crews')
        ->where('crews.status', 1)
        ->leftJoin('vessels', 'vessels.id', '=', 'crews.vessel_id')
        ->select('crews.id', 'crews.full_name', 'crews.img', 'crews.id_no', 'crews.sign_in', 'crews.sign_out', 'crews.vessel_id', 'vessels.vessel_name' )
        ->get();
        // toastr()->error('An error has occurred please try again later.');
        return view('backend.dashboard', compact('vassels', 'crew'));
    }
}
