<?php $__env->startSection('contents'); ?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <form method="POST" action="<?php echo e(route('admin.sms.update',[$sms->id])); ?>" enctype="multipart/form-data" >
            <?php echo method_field('PUT'); ?>
          <?php echo csrf_field(); ?>
            <div class="col-xxl">
                <div class="card mb-4">
                <div class="card-header d-flex align-items-center justify-content-between">
                    <h5 class="mb-0"><?php echo e($title); ?></h5>
                    <a href="<?php echo e(route('admin.sms.create')); ?>"  type="button" class="btn btn-primary" >Add New Message</a>
                </div>
                <div class="card-body">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.form.input','data' => ['value' => ''.e($sms->sms_title).'','labelName' => 'SMS Title','name' => 'sms_title','placeholder' => 'SMS Title']] + (isset($attributes) ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('form.input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['value' => ''.e($sms->sms_title).'','labelName' => 'SMS Title','name' => 'sms_title','placeholder' => 'SMS Title']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-default-name">Enter SMS Message</label>
                        <div class="col-sm-10">
                            <textarea class="form-control" name="sms_message" id="" cols="10" rows="5"><?php echo e($sms->sms_message); ?></textarea>
                            <?php $__errorArgs = ['sms_message'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <div class="invalid-feedback d-block"> <?php echo e($message); ?> </div> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                    </div>
                    <div class="row mb-3">
                        <label class="col-sm-2 col-form-label" for="basic-default-name">Enter Phone Number [separet by (') each number] </label>

                        <div class="col-sm-10">
                            <textarea class="form-control" name="sms_number" id="" cols="10" rows="5"><?php echo e($sms->sms_number); ?></textarea>
                            <?php $__errorArgs = ['sms_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> <div class="invalid-feedback d-block"> <?php echo e($message); ?> </div> <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                    </div>


                    <div class="row justify-content-end">
                        <div class="col-sm-10 mt-3 text-right">
                            <button type="submit" class="btn btn-primary" style="float: right;">Create Message</button>
                        </div>
                    </div>

                </div>
                </div>
            </div>
        </form>
    </div>
</div>
<?php $__env->startPush('script'); ?>
<script>
    $(document).ready(function(){

    });
  </script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/sms/edit.blade.php ENDPATH**/ ?>