<?php $__env->startSection('contents'); ?>
<?php
use Illuminate\Support\Facades\DB;
?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <h5 class="card-header"><?php echo e($title); ?></h5>
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>SMS Title</th>
                            <th>SMS Message</th>
                            <th>Send SMS</th>
                            <th>Status</th>
                            <th>Action</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            <?php $__empty_1 = true; $__currentLoopData = $sms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                     <td><span class="badge bg-label-primary me-1"><?php echo e($data->sms_title); ?></span></td>
                                     <td><span class="badge bg-label-primary me-1"><?php echo e($data->sms_message); ?></span></td>
                                     <td><span ><a href="<?php echo e(route('admin.sms.smsForm', [$data->id])); ?>"  type="button" class="btn btn-primary" data-id="<?php echo e($data->id); ?>" >Send</a></span></td>

                                     <td><span class="badge bg-label-primary me-1"><?php echo e($data->status); ?></span></td>
                                    <td>
                                        <div class="dropdown">
                                            <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                                            Action
                                            </button>
                                            <div class="dropdown-menu">
                                            <a class="dropdown-item" href="<?php echo e(route('admin.crew.edit', [$data->id])); ?>"
                                                ><i class="bx bx-edit-alt me-1"></i> Edit</a
                                            >
                                            <?php
                                            $gcv_count = DB::table('general_cvs')->where('crew_id', $data->id)->count();
                                            ?>
                                            <?php if($gcv_count > 0): ?>
                                            <?php $gcv = DB::table('general_cvs')->where('crew_id', $data->id)->first(); ?>
                                            <a class="dropdown-item" href="<?php echo e(route('admin.general-cv.show', [$gcv->id])); ?>"><i class="bx bx-edit-alt me-1"></i> View General CV </a>
                                            <?php else: ?>
                                            <a class="dropdown-item" href="<?php echo e(route('admin.general-cv.create')); ?>"><i class="bx bx-edit-alt me-1"></i> Create General CV </a>
                                            <?php endif; ?>

                                            <a class="dropdown-item" href=""
                                                ><i class="bx bx-trash me-1"></i> Delete</a
                                            >
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            <?php endif; ?>

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
 <!-- Large Modal -->

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/sms/index.blade.php ENDPATH**/ ?>