<?php $__env->startSection('contents'); ?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
              <div class="card-header d-flex align-items-center justify-content-between">
                <h5 class="mb-0">Basic Layout</h5>
                <small class="text-muted float-end">Default label</small>
              </div>
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <h5 class="card-header">Table Basic</h5>
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>Crew Name</th>
                            <th>Vessel Name</th>
                            <th>Position Applied</th>
                            <th>Actions</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            <?php $__empty_1 = true; $__currentLoopData = $general_cv; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td> <a href="<?php echo e(route('admin.general-cv.show', [$data->id])); ?>" target="_blank">

                                            <strong><?php echo e($data->full_name); ?></strong>
                                        </a>
                                    </td>
                                    <td> <a href="<?php echo e(route('admin.vessel.show', [$data->for_vessel])); ?>" target="_blank">

                                            <strong><?php echo e($data->vessel_name); ?></strong>
                                        </a>
                                    </td>
                                    <td><?php echo e($data->position_applied); ?></td>
                                    <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                                        Action
                                        </button>
                                        <div class="dropdown-menu">
                                        <a class="dropdown-item" href="<?php echo e(route('admin.general-cv.show', [$data->id])); ?>"
                                            ><i class="bx bx-edit-alt me-1"></i> View CV</a>
                                        <a class="dropdown-item" href="<?php echo e(route('admin.crew.edit', [$data->crew_id])); ?>"
                                            ><i class="bx bx-edit-alt me-1"></i> Edit</a>
                                        <a class="dropdown-item" href="<?php echo e(route('admin.crewDelete', [$data->crew_id])); ?>"
                                            ><i class="bx bx-trash me-1"></i> Delete</a>
                                        </div>
                                    </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            <?php endif; ?>

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/arshpcm/public_html/crew.ayarship.com/resources/views/backend/pages/general-cv/index.blade.php ENDPATH**/ ?>