<?php $__env->startSection('contents'); ?>
<?php
use Illuminate\Support\Facades\DB;
?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <h5 class="card-header"><?php echo e($title); ?></h5>
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>Name</th>
                            <th>Certificate Title</th>
                            <th>Certificate No</th>
                            <th>Issue date</th>
                            <th>Expiry Date</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            <?php $__empty_1 = true; $__currentLoopData = $crew_qualification_certificates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <?php
                              $certificate_file = $data->certificate_file;
                              if($certificate_file !=''){
                                 $certificate_title = '<a href="#" class="" data-bs-toggle="modal" data-bs-target="#fullscreenModal'. $data->id.'">'.$data->certificate_title.'</a>';

                                }else{
                                    $certificate_title = '';
                                }


                            ?>
                                <tr>
                                    <td> <a href="<?php echo e(route('admin.crew.edit', [$data->crew_id])); ?>" target="_blank">
                                            <strong><?php echo e($data->full_name); ?></strong>
                                        </a>
                                    </td>
                                     <td><span class="badge bg-label-primary me-1"><?php echo $certificate_title; ?></span></td>
                                     <td><span class="badge bg-label-primary me-1"><?php echo e($data->cert_no); ?></span></td>
                                     <td><span class="badge bg-label-primary me-1"><?php echo e($data->issue_date); ?></span></td>
                                     <td><span class="badge bg-label-danger me-1"><?php echo e($data->expiry_date); ?></span></td>
                                     <td>

                                    </td>
                                </tr>
                                <?php if(!empty($certificate_file)): ?>
                                <!-- Modal -->
                                <div class="modal fade" id="fullscreenModal<?php echo $data->id; ?>" tabindex="-1" aria-hidden="true">
                                    <div class="modal-dialog modal-xl" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                        <h5 class="modal-title" id="modalFullTitle">Certificate <?php echo $data->id; ?></h5>
                                        <button  type="button" class="btn-close"
                                            data-bs-dismiss="modal"
                                            aria-label="Close"
                                        ></button>
                                        </div>
                                        <div class="modal-body">
                                            <iframe src="<?php echo $certificate_file; ?>" height="100%" width="100%" title="Iframe Example"></iframe>
                                        </div>
                                        <div class="modal-footer">
                                        <button type="button" class="btn btn-outline-secondary" data-bs-dismiss="modal">
                                            Close
                                        </button>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                                <?php endif; ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            <?php endif; ?>

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
 <!-- Large Modal -->
 <div class="modal fade" id="CrewCertificateModal" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel3">Certificate</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div id="viewCertifica"></div>
            </div>

        </div>
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/certificate/expaired.blade.php ENDPATH**/ ?>