<?php $__env->startSection('contents'); ?>
<div class="container-xxl flex-grow-1 container-p-y">
    <div class="row">
        <div class="col-xxl">
            <div class="card mb-4">
              <div class="card-header d-flex align-items-center justify-content-between" style="display: inline-block !important;">
                <form method="POST" action="<?php echo e(route('admin.general-cv.boardRankCV')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-md-6">
                            <select class="form-control" name="rank_name" id="rank_name">
                                <option value="">select</option>
                                <option <?php if(old('rank_name') == 'DECK CADET'): ?> selected <?php endif; ?> value="DECK CADET">DECK CADET </option>
                                <option <?php if(old('rank_name') == 'ENGINE CADET'): ?> selected <?php endif; ?> value="ENGINE CADET">ENGINE CADET</option>
                                <option <?php if(old('rank_name') == 'DECK RATING'): ?> selected <?php endif; ?> value="DECK RATING">DECK RATING</option>
                                <option <?php if(old('rank_name') == 'ENGINE RATING'): ?> selected <?php endif; ?> value="ENGINE RATING">ENGINE RATING</option>
                                <option <?php if(old('rank_name') == 'OS'): ?> selected <?php endif; ?> value="OS">OS</option>
                                <option <?php if(old('rank_name') == 'WIPER'): ?> selected <?php endif; ?> value="WIPER">WIPER</option>
                                <option <?php if(old('rank_name') == 'AB'): ?> selected <?php endif; ?> value="AB">AB</option>
                                <option <?php if(old('rank_name') == 'OILER'): ?> selected <?php endif; ?> value="OILER">OILER</option>
                                <option <?php if(old('rank_name') == '4TH ENGINEER'): ?> selected <?php endif; ?> value="4TH ENGINEER">4TH ENGINEER</option>
                                <option <?php if(old('rank_name') == '3RD OFFICER'): ?> selected <?php endif; ?> value="3RD OFFICER">3RD OFFICER</option>
                                <option <?php if(old('rank_name') == '3RD ENGINEER'): ?> selected <?php endif; ?> value="3RD ENGINEER">3RD ENGINEER</option>
                                <option <?php if(old('rank_name') == '2ND ENGINEER'): ?> selected <?php endif; ?> value="2ND ENGINEER">2ND ENGINEER</option>
                                <option <?php if(old('rank_name')== 'CHIEF OFFICER'): ?> selected <?php endif; ?> value="CHIEF OFFICER">CHIEF OFFICER</option>
                                <option <?php if(old('rank_name') == 'CHIEF ENGINEER'): ?> selected <?php endif; ?> value="CHIEF ENGINEER">CHIEF ENGINEER</option>
                                <option <?php if(old('rank_name') == 'MASTER'): ?> selected <?php endif; ?> value="MASTER">MASTER</option>
                                <option <?php if(old('rank_name') == 'SALON'): ?> selected <?php endif; ?> value="SALON">SALON</option>
                            </select>
                        </div>
                        <div class="col-md-3">
                            <button type="submit" id="cv_search" class="btn btn-primary">search</button>
                            <a href="<?php echo e(route('admin.general-cv.index')); ?>" class="btn btn-primary">Applicant list</a>
                        </div>
                    </div>
                </form>
              </div>
                <!-- Basic Bootstrap Table -->
                <div class="card">
                    <div class="table-responsive text-nowrap">
                      <table class="table">
                        <thead>
                          <tr>
                            <th>Applicant Name</th>
                            <th>Vessel Name</th>
                            <th>Position Applied</th>
                            <th>Actions</th>
                          </tr>
                        </thead>
                        <tbody class="table-border-bottom-0">
                            <?php $__empty_1 = true; $__currentLoopData = $general_cv; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td> <a href="<?php echo e(route('admin.general-cv.show', [$data->id])); ?>" target="_blank">

                                            <strong><?php echo e($data->full_name); ?></strong>
                                        </a>
                                    </td>
                                    <td> <a href="<?php echo e(route('admin.vessel.show', [$data->for_vessel])); ?>" target="_blank">

                                            <strong><?php echo e($data->vessel_name); ?></strong>
                                        </a>
                                    </td>
                                    <td><?php echo e($data->position_applied); ?></td>
                                    <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                                        Action
                                        </button>
                                        <div class="dropdown-menu">
                                        <a class="dropdown-item" href="<?php echo e(route('admin.general-cv.show', [$data->id])); ?>"
                                            ><i class="bx bx-edit-alt me-1"></i> View CV</a>
                                        <a class="dropdown-item" href="<?php echo e(route('admin.crew.edit', [$data->crew_id])); ?>"
                                            ><i class="bx bx-edit-alt me-1"></i> Edit</a>
                                        <a class="dropdown-item" href="<?php echo e(route('admin.generalCvDelete', [$data->id])); ?>"
                                            ><i class="bx bx-trash me-1"></i> Delete</a>
                                        </div>
                                    </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td  colspan="4">No record Found</td>
                                </tr>
                            <?php endif; ?>

                        </tbody>
                      </table>
                    </div>
                  </div>
                  <!--/ Basic Bootstrap Table -->
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.backend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH I:\xampp\htdocs\laravel\crew-management\resources\views/backend/pages/general-cv/index-onboard.blade.php ENDPATH**/ ?>